import server from "./index";

interface InputData<T> {
  image: File;
}

interface PredictRes<T> {
  code: number;
  response_id: string;
  data: T;
}

interface OcrInput {
  FormData: FormData;
}

interface MagciColorRes {
  out_image: string;
  cost: number;
}

interface DetectionRes {
  code: number;
  response_id: string;
  data: any;
}

interface OcrRecRes {
  code: number;
  response_id: string;
  data: any;
}

interface TableRecRes {
  code: number;
  response_id: string;
  data: any;
}

export const IMMagicColor = (
  data: FormData
): Promise<PredictRes<MagciColorRes>> =>
  server.post("/v1/image_process/magic_color", data);

export const Detection = (data: FormData): Promise<DetectionRes> =>
  server.post("/v1/detection", data);

export const OcrRec = (data: FormData): Promise<OcrRecRes> =>
  server.post("/v1/ocr", data);

export const TableRec = (data: FormData): Promise<TableRecRes> =>
  server.post("/v1/table_rec", data);

export const SubmitBug = (data: any): Promise<OcrRecRes> =>
  server.get("/submitBug", data);

export {};
